Seite 1 von 1

gambas3-gb-jit wird nicht gefunden.

Verfasst: Do 31. Jan 2019, 15:52
von tionov
gambasso hat geschrieben:
Do 31. Jan 2019, 09:42
moin,

habe Gambas3.12.2 / Ubuntu 18.04.1 LTS (XFCE Xubuntu)

oder shell code
Version: 3.12.2+git5962.78f8359+build4.0bb852b.8.7951239~ubuntu18.04.1
Dann zeige mal:
shell code
apt show gambas3-gb-jit

Re: Fragen zu 'ScrollArea'

Verfasst: Do 31. Jan 2019, 18:12
von gambasso
@ tionov:

Anwort von: apt show gambas3-gb-jit
shell code
Package: gambas3-gb-jit
State: kein reales Paket (virtuell)
N: Es kann kein Installationskandidat von Paket »gambas3-gb-jit« ausgewählt werden, da kein solcher existiert.
N: Es können keine Versionen von Paket »gambas3-gb-jit« ausgewählt werden, da es rein virtuell ist.
N: Keine Pakete gefunden
Ist nicht da, wird nicht gefunden, siehe vorherigen Eintrag.

Re: gambas3-gb-jit ist in Gambas 3.12.2 nicht enthalten

Verfasst: Do 31. Jan 2019, 19:46
von tionov
Ich habe das Thema abgetrennt, es gehört nicht zum alten. Hm, ist wohl so, dass das Paket nicht in Launchpad enthalten ist, das kann man da sehen:

https://launchpad.net/~gambas-team/+arc ... /+packages

und hier:

https://launchpadlibrarian.net/40594574 ... ce.changes

Benoît hat das alte gambas3-gb-jit entfernt und neu geschrieben. Früher wurde die Kompilierung LLVM überlassen, jetzt werden die C-Sourcen von Gambas selbst erstellt und mit gcc kompilert. Es scheint aber noch nicht stabil genug für 3.12.2 zu sein.

Also wenn du den Jit brauchst, solltest du mit 3.11 arbeiten.

Könnte aber auch sein, dass es ein Fehler im Paketbau ist, dann müsste man mal Sebikul fragen:
https://launchpad.net/~sebikul